Bug 484273 - Fonts are not shown correctly with i915 driver.
Fonts are not shown correctly with i915 driver.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 15:09 EST by Erik Ylvisaker
Modified: 2009-12-18 02:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with no xorg.conf (67.57 KB, text/plain)
2009-02-28 20:40 EST, Andrew Schultz
no flags Details
/var/log/Xorg.0.log file when no xorg.conf exist (57.96 KB, text/plain)
2009-02-28 22:22 EST, RudraB
no flags Details
Xorg.*.log files (36.39 KB, text/plain)
2009-03-02 14:29 EST, Erik Ylvisaker
no flags Details
My xorg log file in a standard configuration (86.40 KB, text/plain)
2009-03-04 07:40 EST, Andrea Mastellone
no flags Details
Grace at start (612.67 KB, image/png)
2009-03-04 07:42 EST, Andrea Mastellone
no flags Details

  None (edit)
Description Erik Ylvisaker 2009-02-05 15:09:09 EST
Description of problem:
Fonts in the graph area in xmgrace are shown with black boxes surrounding them, and are difficult to read.  Occasionally resizing the axes will fix some of the text, or make it worse by rewriting new text over the old text without clearing the background.  This seems to only occur on machines with recent integrated Intel graphics cards using the i915 driver, as reported by lsmod.  The program is otherwise usable.  No data is required to view the bug, it will be obvious immediately upon starting xmgrace.

Version-Release number of selected component (if applicable):
Fedora 10

How reproducible:
Occurs 100% of the time on the appropriate hardware.

Steps to Reproduce:
1. Procure video hardware using the i915 video driver.
2. Install Fedora Core 10
3. sudo yum install grace
4. xmgrace
  
Actual results:
Fonts in the graph are difficult to read.

Expected results:
The fonts should be clear.


Additional info:
Screen shot and hardware parameters of at least two individuals experiencing this problem are available here:
http://forums.fedoraforum.org/showthread.php?t=207920
Comment 1 Erik Ylvisaker 2009-02-05 15:11:47 EST
Mistake above, the Version-Release should be:

Version-Release number of selected component (if applicable):
grace-5.1.22-2.fc10.i386
Comment 2 José Matos 2009-02-18 07:17:45 EST
I am trying to replicate the problem. The question is that I don't have any machine here with an intel graphics card. :-(
Without further evidence I suspect that this a bug on the i915 driver.

So for the moment this a note of "work in progress"...
Comment 3 Erik Ylvisaker 2009-02-18 14:20:50 EST
Would it be helpful if I submitted a bug report for the i915 driver?  (I don't know if I would do that here or somewhere else, like kernel.org.)  Or would it be helpful to test other motif apps?  The only two I have and am aware of are OpenDX and Nedit, and in neither of them have I observed this issue.  Is there maybe another app I could test?
Comment 4 Matěj Cepl 2009-02-27 04:44:47 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 RudraB 2009-02-27 22:20:24 EST
I am also facing the same problem. i don't have any  xorg.conf so grace is not biased to i915
Comment 6 Matěj Cepl 2009-02-28 16:19:30 EST
Yes, and could we get the files I asked for from both of you, please?
Comment 7 Andrew Schultz 2009-02-28 20:40:01 EST
Created attachment 333628 [details]
Xorg log with no xorg.conf

I'm hitting the same problem.
Comment 8 RudraB 2009-02-28 22:22:44 EST
Created attachment 333633 [details]
/var/log/Xorg.0.log file when no xorg.conf exist
Comment 9 RudraB 2009-02-28 22:25:01 EST
May I request to increase the priority of this bug as we people in research fied depends heavily on xmgrace and also many of my friends hesitating to fc10 because of this problem.
Comment 10 Erik Ylvisaker 2009-03-02 14:29:01 EST
Created attachment 333778 [details]
Xorg.*.log files

I have attached my Xorg.log files in the gzipped tar archive.  I have no xorg.conf file.
Comment 11 Andrea Mastellone 2009-03-04 04:11:21 EST
I have the Intel i915 graphic card, and I confirm the same problem. Did someone tryed to investigate if the problem presists even in Fedora 11 ? I will supply later my xorg.0.log file.
Comment 12 Andrea Mastellone 2009-03-04 07:40:42 EST
Created attachment 333992 [details]
My xorg log file in a standard configuration
Comment 13 Andrea Mastellone 2009-03-04 07:42:24 EST
Created attachment 333993 [details]
Grace at start

This is how Grace appears when it starts: the fonts corruption is evident.
Comment 14 José Matos 2009-03-17 08:35:11 EDT
OK, I can attest that this problem does not show up with other cards. I have tested ATI, nvidia and Sis. That explains why I have not noticed the problem. :-(

I am changing this to xorg-x11-drv-intel since this only happen with intel cards.
Comment 15 Patrick 2009-03-17 14:25:34 EDT
I do experience the same kind of problems with a Q965 (Intel) graphic card by using gnome. In addition using KDE, it just aborts.
Switching to versa driver fixes the gnome issue but not the KDE one.
Comment 16 Andrea Mastellone 2009-03-31 10:32:03 EDT
On a x86_64 with Intel graphics no problem.

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

Linux ntmastellone.cira.it 2.6.27.12-170.2.5.fc10.x86_64 #1 SMP Wed Jan 21 01:33:24 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

grace-5.1.22-2.fc10.x86_64
Comment 17 James M. Leddy 2009-06-24 12:11:03 EDT
I have a similar problem, though I'm using a different card and it happens only on certain characters in thunderbird/firefox

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 18 James M. Leddy 2009-06-24 12:12:44 EDT
(In reply to comment #17)
> I have a similar problem, though I'm using a different card and it happens only
> on certain characters in thunderbird/firefox
> 
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
> 943/940GML Express Integrated Graphics Controller (rev 03)  

Ah yes, and I should mention I'm using the same kernel drivers and I'm using the intel driver for xorg, with no configuration file.

And this is on Fedora 11, interestingly, I didn't see the problem in F10
Comment 19 Andrew Schretter 2009-08-26 11:47:56 EDT
Finally came across the patch to fix this, please apply it and commit to a new release for F11.  I have tested it and it does indeed fix the problem.

http://cgit.freedesktop.org/xorg/xserver/commit/?id=850675d4de4373e5df95507dbf2cd9affaaf54bc

Its a relatively minor patch and fixes a reasonably serious issue.
Comment 20 Bug Zapper 2009-11-18 05:59:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-12-18 02:49:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.